Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

Newbie in the sysadm area. Using Centos 6.2.

I am trying to install PEAR's Mime.php. I have successfully installed PEAR's Mail before. It's not going to well now for Mime.php.

This is what I do:

yum install php-pear-Mail-Mime

Gives dependency issues:

Resolving Dependencies
--> Running transaction check
---> Package php-pear-Mail-Mime.noarch 0:1.8.2-1.el6 will be installed
--> Processing Dependency: php-mbstring for package: php-pear-Mail-Mime-1.8.2-1.el6.noarch
--> Running transaction check
---> Package php-mbstring.i686 0:5.3.3-3.el6_2.6 will be installed
--> Processing Dependency: php-common = 5.3.3-3.el6_2.6 for package: php-mbstring-5.3.3-3.el6_2.6.i686
--> Finished Dependency Resolution
Error: Package: php-mbstring-5.3.3-3.el6_2.6.i686 (updates)
           Requires: php-common = 5.3.3-3.el6_2.6
           Installed: php-common-5.3.10-2.el6.remi.i686 (@remi)
               php-common = 5.3.10-2.el6.remi
           Available: php-common-5.3.3-3.el6_1.3.i686 (base)
               php-common = 5.3.3-3.el6_1.3
           Available: php-common-5.3.3-3.el6_2.5.i686 (updates)
               php-common = 5.3.3-3.el6_2.5
           Available: php-common-5.3.3-3.el6_2.6.i686 (updates)
               php-common = 5.3.3-3.el6_2.6

php-mbstring requires the remi package for php-common it seems. I did try to update it:

yum --enablerepo=remi update php-common

But got:

No Packages marked for Update

And by mistake I did an install first and this is what I got:

Package php-common-5.3.10-2.el6.remi.i686 already installed and latest version
Nothing to do

UPDATE: Checking my epel points to 6.5, I'm using Centos 6.2. Can this be a problem? (Aftermatch: This was not a problem)

rpm -qa | grep epel
epel-release-6-5.noarch
share|improve this question
add comment

1 Answer

up vote 0 down vote accepted

Appearently one should use the REMI repository for installing php-pear-Mail-Mime...

yum --enablerepo=remi install php-pear-Mail-Mime
share|improve this answer
    
One should do so when one also got PHP from that same repository. Remember to mark this question as resolved by clicking the check mark. –  Michael Hampton Jul 20 '13 at 6:34
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.